# Generated by Django 2.2.3 on 2019-07-29 07:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('user', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('date_of_birth', models.DateField(db_index=True)),
                ('sex', models.IntegerField(choices=[(0, 'مرد'), (1, 'زن')])),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RemoveField(
            model_name='medicalinformation',
            name='user',
        ),
        migrations.RemoveField(
            model_name='mentalactivityinformation',
            name='user',
        ),
        migrations.RemoveField(
            model_name='physicalactivityinformation',
            name='user',
        ),
        migrations.RemoveField(
            model_name='post',
            name='user',
        ),
        migrations.RemoveField(
            model_name='socialactivityinformation',
            name='user',
        ),
        migrations.DeleteModel(
            name='DietaryInformation',
        ),
        migrations.DeleteModel(
            name='MedicalInformation',
        ),
        migrations.DeleteModel(
            name='MentalActivityInformation',
        ),
        migrations.DeleteModel(
            name='PhysicalActivityInformation',
        ),
        migrations.DeleteModel(
            name='Post',
        ),
        migrations.DeleteModel(
            name='SocialActivityInformation',
        ),
    ]
